Results 1 to 4 of 4

Thread: Problem: start-stop-daemon: group 'Debian-exim' not found

  1. #1
    Join Date
    Jan 2010
    Location
    EU / PL
    Posts
    120

    Problem: start-stop-daemon: group 'Debian-exim' not found

    I got report from cron on mail:

    Topic:
    Cron <root@server> test -x /usr/sbin/anacron || ( cd / && run-parts --report /etc/cron.daily )

    Body:
    /etc/cron.daily/exim:
    start-stop-daemon: group 'Debian-exim' not found
    start-stop-daemon: group 'Debian-exim' not found No passwd entry for user 'Debian-exim'
    run-parts: /etc/cron.daily/exim exited with return code 1

    Debian 9x64
    Any suggestion how to resolve this?

    Edit:
    Part of cron which make error:

    Code:
    # run tidydb as Debian-exim:Debian-exim.
    if [ -x /usr/sbin/exim_tidydb ]; then
      cd $SPOOLDIR/db || exit 1
      if ! find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
        -or -type f -printf '%f\0' | \
          xargs -0r -n 1 \
          start-stop-daemon --start --exec /usr/sbin/exim_tidydb \
          --chuid Debian-exim:Debian-exim -- $SPOOLDIR > /dev/null; then
        # if we reach this, invoking exim_tidydb from start-stop-daemon has
        # failed, most probably because of libpam-tmpdir being in use
        # (see #373786 and #376165)
        find $SPOOLDIR/db -maxdepth 1 -name '*.lockfile' -or -name 'log.*' \
        -or -type f -printf '%f\0' | \
        su - --shell /bin/bash \
             --command "xargs -0r -n 1 /usr/sbin/exim_tidydb $SPOOLDIR > /dev/null" \
             Debian-exim
      fi
    fi
    Is this necessary? Or should I change Debian-eximebian-exim to mail:mail?
    Last edited by Magician; 11-02-2017 at 12:14 PM.
    VPS KVM + Debian 9x64 + DA
    Developer/linux user notes

  2. #2
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    11,280
    Hello,

    Probably not many of us here did try Directadmin with Debian 9 server yet. So you might want to open a ticket with Directadmin support directly.
    With regards, Alex.

    Professional Server Management for web hosting companies and individuals
    Hourly Support, Disaster Recovery, Server Hardening, Monthly Subscription
    Directadmin installation and optimization

    Click here if you need a Linux Admin

  3. #3
    Join Date
    Oct 2007
    Location
    France
    Posts
    23
    On top of that, the script /etc/cron.daily/exim refers to debian4 which is the executable when exim is installed with debian packets.
    With the installation from DirectAdmin, the executable is exim, not exim4

    On line 78, it calls "exim4 root". If this is replaced by "exim root" it won't be delivered and create an entry in the paniclog as root is on the non-delivery list by default.

    On line 82, the file/etc/logrotate.d/exim4-paniclog doesn't exist.

    This script is for the debian's exim package, not for Directadmin's exim !

    I have now 9 servers running Debian 9 with directadmin. Debian9+Directadmin is as stable as debian 8 and has just a few minor bugs like this one

  4. #4
    Join Date
    Feb 2005
    Location
    The Netherlands
    Posts
    301
    Also have the same problems over here with that daily:

    Code:
    run-parts: /etc/cron.daily/exim exited with return code 123
    message, did you already got a reply back from DirectAdmin about this?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •